﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@using CMS.Core.Domain.Menu
@using CMS.Data.Enum
@model Menus


<form id="updateform">
    <input asp-for="ID" value="0" hidden />
    <div class="form-row">
        <div class="form-group col-md-8">
            <label asp-for="Name"> </label>
            <input type="text" asp-for="Name" class="form-control" required="">
            <span asp-validation-for="Name" class="text-danger"></span>
        </div>
        <div class="form-group col-md-4">
            <label asp-for="Status"></label>
            <br />
            <input asp-for="Status" style="width:100%"/>
            <span asp-validation-for="Status" class="text-danger"></span>
        </div>
    </div>
    <div class="form-row">
        <div class="form-group col-md-8">
            <label asp-for="Link"> </label>
            <input type="text" asp-for="Link" class="form-control" required="">
            <span asp-validation-for="Link" class="text-danger"></span>
        </div>
        <div class="form-group col-md-4">
            <label asp-for="Type"></label>
            <br />
            <input asp-for="Type" style="width:100%" />
            <span asp-validation-for="Type" class="text-danger"></span>
        </div>
    </div>
    <div class="form-group">
        <label asp-for="Content"></label>
        <textarea class="form-control summernote" asp-for="Content" rows="5"></textarea>
        <span asp-validation-for="Content" class="text-danger"></span>
    </div>
    <br>
    <button type="button" class="btn btn-success ladda-button" data-style="expand-right" id="btn-add" onclick="AddMenu()"><i class="fa fa-check-circle"></i> <span>Thêm mới</span></button>
    <button type="button" class="btn btn-warning ladda-button" data-style="expand-right" id="btn-update" onclick="UpdateMenu()"><i class="fa fa-edit"></i> <span>Điều chỉnh</span></button>
    <button type="button" class="btn btn-danger " id="btn-cancel" onclick="closeform();"><i class="fa fa-ban"></i> <span>Hủy bỏ</span></button>
</form>
